/************************************************************************************************************************
*                                                                                                                       *
* CRIAÇÃO DA TABELA DA NOVA TELA CALCULO DE DIFERENÇA DE DISSIDIO RESCISAO                                              *
*                                                                                                                       *
* DATA: 24/05/2022                                                                                                      *
*                                                                                                                       *
*************************************************************************************************************************/

CREATE TABLE FPA_FORMCALCCOMPLRES
 ("NRFORMCALCCOMPLRES" NUMBER NOT NULL ENABLE,
"NMFORMCALCULO" VARCHAR2(100 BYTE) NOT NULL ENABLE,
"DSORDEM" VARCHAR2(100 BYTE) NOT NULL ENABLE,
"DSINICIO" VARCHAR2(2000 BYTE) NOT NULL ENABLE,
"DSFIM" VARCHAR2(2000 BYTE),
"DSINICIO2" VARCHAR2(2000 BYTE),
"DSFIM2" VARCHAR2(2000 BYTE),
"DSINICIO3" VARCHAR2(2000 BYTE),
"DSFIM3" VARCHAR2(2000 BYTE),
"DTPAGAMENTO" DATE NOT NULL ENABLE,
"IDULTPGTOMES" VARCHAR2(1 BYTE) DEFAULT 'S' NOT NULL ENABLE,
"IDMEMORIACALC" VARCHAR2(1 BYTE) DEFAULT 'S' NOT NULL ENABLE,
"CDGRUPOPER" VARCHAR2(2 BYTE) DEFAULT 'S' NOT NULL ENABLE,
"IDATIVO" VARCHAR2(1 BYTE) DEFAULT 'S' NOT NULL ENABLE,
"DTINCLUSAO" DATE NOT NULL ENABLE,
"DTULTATU" DATE,
"NRORGINCLUSAO" NUMBER DEFAULT 1,
"CDOPERINCLUSAO" VARCHAR2(12 BYTE) DEFAULT '1',
"NRORGULTATU" NUMBER DEFAULT 1,
"CDOPERULTATU" VARCHAR2(12 BYTE) DEFAULT '1',
"NRORG" NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL
ENABLE,
"CDOPERADOR" VARCHAR2(12 CHAR),
"IDDIFSAL" VARCHAR2(1 BYTE),
"IDDIFFERIAS" VARCHAR2(1 BYTE),
"DTINI" DATE,
"DTFIM" DATE,
"DTRESCISAOINI" DATE,
"DTRESCISAOFIM" DATE,
"VRSALDISSIDIO" FLOAT(126),
"DTBASE" DATE,
"IDFAZDIFCOMP" VARCHAR2(1 BYTE) DEFAULT 'N' NOT NULL ENABLE,
 CONSTRAINT "PK_FPA_FORMCALCCOMPLRES" PRIMARY KEY ("NRFORMCALCCOMPLRES", "NRORG"),
 CONSTRAINT "IDDIFSALFORMCALCCOMPLRES_CHK5" CHECK (IDDIFSAL IN ('S','N')) ENABLE,
 CONSTRAINT "IDFAZDIFCOMPFORMCALCOMRES_CHK6" CHECK (IDFAZDIFCOMP IN ('S','N')) ENABLE,
 CONSTRAINT "IDDIFFERIASFORMCALCOMRES_CHK7" CHECK (IDDIFFERIAS IN ('S','N')) ENABLE);
 / 
